var template_loginreport = function( static )
{
	this.static   = static;
	this.elements = {
			group : new App.TemplateElement.FieldComponent('group'),
			groupDivision : new App.TemplateElement.FieldComponent('groupDivision'),
			company : new App.TemplateElement.FieldComponent('company')
		};
	this.ti = null;
	this.init = function( ti ) {
		this.ti = ti;
		App.DataStore.loadSelectListData('groups', true, 'Company', 'Group.SelectList');
		App.API.getTask(
				'reportLogin', 'Report', 'Report.Login',
				null, {}, function(){}, _w.taskContractError
			);
		this.ti.hydrate({
						'group' : {
				type  : 'select',
				id    : 'group',
				title : 'Group Member',
				value : '',
				dataStoreId : 'groups',
				onChange    : function () {
					if (!App.DataStore.getItem('BuildSelect:group', false))
					{
						var groupId = $('#group').val();
						$('#groupDivision').val('');
						$('#company').val('');
						App.DataStore.loadSelectListData(
								'groupdivisions', false, 'Company', 'GroupDivision.SelectList',
								null, {Filter: {group: groupId}}
								);
						App.DataStore.loadSelectListData(
								'companies', false, 'Company', 'Company.SelectList',
								null, {Filter: {group: groupId}}
								);
					}
				}
			},
			'groupDivision' : {
				type  : 'select',
				id    : 'groupDivision',
				title : 'Group Division',
				value : '',
				dataStoreId : 'groupdivisions',
				onChange    : function () {
					if (!App.DataStore.getItem('BuildSelect:groupDivision', false))
					{
						var groupDivisionId = $('#groupDivision').val();
						$('#company').val('');
						App.DataStore.loadSelectListData(
								'companies', false, 'Company', 'Company.SelectList',
								null, {Filter: {groupDivision: groupDivisionId}}
								);
					}
				}
			},
			'company' : {
				type  : 'select',
				id    : 'company',
				title : 'Company',
				value : '',
				dataStoreId : 'companies'
			}
		});
	};
	this.construct = function() {
		$('#frmLoginReport').validate({
			rules: {
				dateFrom: {required: true, number: true}
			},
			submitHandler: function( form ) {
				var data = {Report: _t['loginreport'].harvest()};
				App.API.execTask(
						'reportLogin', data, {},
						function () {}, _w.taskExecError,
						'EXPORT', true
				);
			}
		});
		$('#btnReport').prop('disabled', false);
	};
	this.destruct = function() {};
};