var template_stockview = function( static )
{
	this.static = static;
	this.elements = {
			vehicleYear : new App.TemplateElement.FieldComponent('vehicleYear'),
			category : new App.TemplateElement.FieldComponent('category'),
			
			make : new App.TemplateElement.FieldComponent('make'),
			model : new App.TemplateElement.FieldComponent('model'),
			type : new App.TemplateElement.FieldComponent('type'),
			
			makeManual : new App.TemplateElement.FieldComponent('makeManual'),
			modelManual : new App.TemplateElement.FieldComponent('modelManual'),
			typeManual : new App.TemplateElement.FieldComponent('typeManual'),
			
			mmCode : new App.TemplateElement.LabeledText('mmCode'),
			stockNumber : new App.TemplateElement.FieldComponent('stockNumber'),
			fuelType : new App.TemplateElement.FieldComponent('fuelType'),
			transmissionType : new App.TemplateElement.FieldComponent('transmissionType'),
			condition : new App.TemplateElement.FieldComponent('condition'),
			exteriorColour : new App.TemplateElement.FieldComponent('exteriorColour'),
			interiorColour : new App.TemplateElement.FieldComponent('interiorColour'),
			upholstery : new App.TemplateElement.FieldComponent('upholstery'),
			papers : new App.TemplateElement.FieldComponent('papers'),
			natis : new App.TemplateElement.FieldComponent('natis'),
			spareKeys : new App.TemplateElement.FieldComponent('spareKeys'),
			fullServiceHistory : new App.TemplateElement.FieldComponent('fullServiceHistory'),
			registrationNumber : new App.TemplateElement.FieldComponent('registrationNumber'),
			vinNumber : new App.TemplateElement.FieldComponent('vinNumber'),
			engineNumber : new App.TemplateElement.FieldComponent('engineNumber'),
			km : new App.TemplateElement.FieldComponent('km'),
			fshNotes : new App.TemplateElement.FieldComponent('fshNotes'),
			bodyWork : new App.TemplateElement.FieldComponent('bodyWork'),
			damages : new App.TemplateElement.GroupComponent('damages'),
			damageTotal : new App.TemplateElement.Text('damageTotal'),
			damageNotes : new App.TemplateElement.FieldComponent('damageNotes'),
			previousRepairsNoted : new App.TemplateElement.FieldComponent('previousRepairsNoted'),
			previousRepairsNotes : new App.TemplateElement.FieldComponent('previousRepairsNotes'),
			coverReceived : new App.TemplateElement.FieldComponent('coverReceived'),
			accessories : new App.TemplateElement.GroupComponent('accessories'),
			accessoryNotes : new App.TemplateElement.FieldComponent('accessoryNotes'),
			mainImage : new App.TemplateElement.FieldComponent('mainImage'),
			frontImage : new App.TemplateElement.FieldComponent('frontImage'),
			leftImage : new App.TemplateElement.FieldComponent('leftImage'),
			rightImage : new App.TemplateElement.FieldComponent('rightImage'),
			backImage : new App.TemplateElement.FieldComponent('backImage'),
			interiorImage : new App.TemplateElement.FieldComponent('interiorImage'),
			engineImage : new App.TemplateElement.FieldComponent('engineImage'),
			natisImage : new App.TemplateElement.FieldComponent('natisImage'),
			clubs : new App.TemplateElement.FieldComponent('clubs'),
			endDate : new App.TemplateElement.FieldComponent('endDate'),
			reservePrice : new App.TemplateElement.FieldComponent('reservePrice'),
			retailAmountRequired : new App.TemplateElement.FieldComponent('retailAmountRequired'),
			print : new App.TemplateElement.ConstructorComponentCollection('print'),

			dateCreatedPriceGuide : new App.TemplateElement.Text('dateCreatedPriceGuide'),
			loadedOnPriceGuide : new App.TemplateElement.Text('loadedOnPriceGuide'),
			numberOfOffers : new App.TemplateElement.Text('numberOfOffers'),
			highestOffer : new App.TemplateElement.Text('highestOffer'),
			timesListed : new App.TemplateElement.Text('timesListed'),
			highestBid : new App.TemplateElement.Text('highestBid'),
			referenceNumber : new App.TemplateElement.Text('referenceNumber'),
			jobState : new App.TemplateElement.Text('jobState'),
			tradePrice : new App.TemplateElement.Text('tradePrice'),
			retailPrice : new App.TemplateElement.Text('retailPrice'),
            listPrice : new App.TemplateElement.Text('listPrice'),
			initialTradePrice : new App.TemplateElement.Text('initialTradePrice'),
			updatedTradePrice : new App.TemplateElement.Text('updatedTradePrice'),
			
			// PricingHistory grid
			
			gridPricingHistoryColumnHeaders : new App.TemplateElement.ConstructorComponentCollection('gridPricingHistoryColumnHeaders'),
			gridPricingHistoryRowRepeater   : new App.TemplateElement.ConstructorComponentCollection('gridPricingHistoryRowRepeater')
			
			
			
		};
	this.construct = function()
	{
		//mobi menu
		var isMobile = 'none' == $('#mobiCheck').css('display');
		if (isMobile)
		{
			// show the mobi menu && hide old menu 
			$("#MobiAuctionPriceGuideMenu").show();
			$("#MobiPortalMenu").hide();
			 
			// Check active state
			$("#mobiAuctionBtn").removeClass("active");
			$("#mobiPriceGuideBtn").removeClass("active");
			$("#mobiValuationsBtn").removeClass("active");
		}
		
		$("#mobiPriceGuideBtn").click(function() {
			 
			window.location.hash = '#/priceguide';
		});
		
		$("#mobiAuctionBtn").click(function() {
			
			window.location.hash = '#/auction';
		});
		
		$("#mobiValuationsBtn").click(function() {
			
			window.location.hash = '#/valuations';
		});
		
		
		$("#priceGuideAuctionClick").click(function(){
			 if($(this).hasClass("open")){
	          $(this).removeClass("open");
	          $(this).addClass("closed");
	          $("#priceGuideAuction").hide("slow");
	        } else {
	          $(this).removeClass("closed");
	          $(this).addClass("open");
	          $("#priceGuideAuction").show("slow");
	        }
			 $("i",this).toggleClass("icon-white-arrow-up icon-white-arrow-down");
		});
		
		$("#pricingDetailsClick").click(function(){
			 if($(this).hasClass("open")){
	          $(this).removeClass("open");
	          $(this).addClass("closed");
	          $("#pricingDetails").hide("slow");
	        } else {
	          $(this).removeClass("closed");
	          $(this).addClass("open");
	          $("#pricingDetails").show("slow");
	        }
			 $("i",this).toggleClass("icon-white-arrow-up icon-white-arrow-down");
		});
	
		
		$("#vSpecsClick").click(function(){
			 if($(this).hasClass("open")){
	          $(this).removeClass("open");
	          $(this).addClass("closed");
	          $("#vSpecs").hide("slow");
	        } else {
	          $(this).removeClass("closed");
	          $(this).addClass("open");
	          $("#vSpecs").show("slow");
	        }
			 $("i",this).toggleClass("icon-white-arrow-up icon-white-arrow-down");
		});
		
		
		$("#damagesClick").click(function(){
			if($(this).hasClass("open")){
	          $(this).removeClass("open");
	          $(this).addClass("closed");
	          $("#damagesOpen").hide("slow");
	        } else {
	          $(this).removeClass("closed");
	          $(this).addClass("open");
	          $("#damagesOpen").show("slow");
	        }
			 $("i",this).toggleClass("icon-white-arrow-up icon-white-arrow-down");
		});
		
		
		$("#accessoriesClick").click(function(){
			if($(this).hasClass("open")){
	          $(this).removeClass("open");
	          $(this).addClass("closed");
	          $("#accessoriesOpen").hide("slow");
	        } else {
	          $(this).removeClass("closed");
	          $(this).addClass("open");
	          $("#accessoriesOpen").show("slow");
	        }
			 $("i",this).toggleClass("icon-white-arrow-up icon-white-arrow-down");
		});
		
		
		$("#photoClick").click(function(){
			if($(this).hasClass("open")){
	          $(this).removeClass("open");
	          $(this).addClass("closed");
	          $("#photo").hide("slow");
	        } else {
	          $(this).removeClass("closed");
	          $(this).addClass("open");
	          $("#photo").show("slow");
	        }
			 $("i",this).toggleClass("icon-white-arrow-up icon-white-arrow-down");
		});

        $("#requestHPIreport").click(function(){
            $('#tuHPIAccidentReport').hide();
        });
        $("#requestHPIAccidentReport").click(function(){
            $('#tuHPIReport').hide();
        });
		
	};
	this.destruct = function()
	{
		//
	};
};