var template_transunionupload = function (static)
{
	this.static = static;
	this.elements = {
		csvFile: new App.TemplateElement.FieldComponent('csvFile')
	};
	this.ti = null;
	this.init = function (ti) {
		this.ti = ti;
		App.DataStore.loadSelectListData('groups', true, 'Company', 'Group.SelectList');
		App.API.getTask(
			'TransUnionUpload', 'Stock', 'Import.Upload',
			null, {}, function () {}, _w.taskContractError
		);
		this.ti.hydrate({
			'csvFile': {
				type: 'document',
				id: 'csvFile',
				title: 'TransUnion CSV file'
			}
		});
	};
	this.construct = function () {
		$('#frmTransUnionUpload').validate({
			rules: {
				csvFile: {required: true}
			},
			messages: {
				csvFile: {
					required: "CSV file required."
				}
			},
			submitHandler: function (form) {
				var data = {Upload: _t['transunionupload'].harvest()};
				if ('' == data.Upload.csvFile)
				{
					alert('Please select a file to import.');
					return false;
				}
				App.API.execTask(
					'TransUnionUpload', data, {},
					function (response)
					{
						alert('Import Complete! Please note that this page will refresh when you click "OK."');
						window.location.reload(false);
					},
					function (response)
					{
						alert(response.StatusReason);
					}
				);
			}
		});
		$('#btnSubmitFile').prop('disabled', false);
	};
	this.destruct = function () {};
};