var template_valuationcalendar = function( static )
{
	this.static = static;
	this.elements = {

		};
	this.construct = function()
	{
        $('#frmModal').modal('hide');
        $('#modalFormContent').html('Loading...');

        //console.log('App.userData',App.userData);

        if(undefined != App.userData)
        {
            var userId = App.userData.id

            App.Ajax.JSON({
                    "url"  : 'workspace/get-calendar-events',
                    "data" : {'userId' : userId}
                },
                $.proxy(function(response) {

                    //console.log('response',response);

                var calendarEvents = [];

                $.each( response, function( responseKey, responseValue ) {

                    $.each( responseValue, function( responseK, responseV ) {

                        var startDate = responseV.start.replace("SAST", "T");
                        var endDate = responseV.end.replace("SAST", "T");

                        calendarEvents.push(
                            {
                                'title' 				: responseV.title,
                                'start' 				: startDate,
                                'end' 				    : endDate,
                                //'url' 					: '/#/appointmentedit',
                                'id' 			        : responseV.appointmentId,
                                'appointmentCompleted' 	: responseV.appointmentCompleted,
                                'appointmentCancelled' 	: responseV.appointmentCancelled
                            }
                        );

                    });
                });
                this.createCalendar(calendarEvents);

                },this),
                $.proxy(function(response) {
                    console.log('App.Notification.remove Error', response);
                },this)
            );
        }


		
	};

    this.createCalendar = $.proxy(function(calendarEvents) {

        var d = new Date();
        var strDate = d.getFullYear() + "/" + (d.getMonth()+1) + "/" + d.getDate();

        //console.log('calendarEvents',calendarEvents);

        $('#calendar').fullCalendar({
            defaultDate: strDate,
            editable: false,
            header: {
                left: 'prev,next today',
                center: 'title',
                right: 'agendaWeek,agendaDay'
            },
            height: 999999999,
            defaultView: 'agendaWeek',
            allDaySlot:false,
            eventLimit: false, // allow "more" link when too many events
            events: calendarEvents,
            disableResizing:true,
            minTime: "07:00:00",
            maxTime: "21:00:00",
            weekends: false,
            eventRender: function(event, element) {
                if (event.appointmentCancelled == true) {
                    element.css('background-color', '#d42e30');
                }
                if (event.appointmentCompleted == true) {
                    element.css('background-color', '#333');
                }
            },
            eventClick: $.proxy(function(event) {

                console.log('event',event);

                console.log('calendarEvents.id',event.id);

                _w.appointmentId = event.id;

                App.Template.register(
                    'appointmentedit', "page", 'appointmentedit', 'modalFormContent', {},
                    $.proxy( this.renderPage, this )
                );
            }, this)
        });

        $('.fc-center').hide();
    },this);

    this.renderPage = function( id, pageName )
    {
        _t[pageName].publish();
        $('#frmModal').modal({
            show: true
        });
    };

	this.destruct = function()
	{

	};
};