var template_viewuserpermissions = function( static )
{
	this.static   = static;
	this.elements = {
			name : new App.TemplateElement.Text('name'),

			// Portal
			accessPortalModule : new App.TemplateElement.FieldComponent('accessPortalModule'),
			// Sudo access
			suAccess : new App.TemplateElement.FieldComponent('suAccess'),
			suGroupFull : new App.TemplateElement.FieldComponent('suGroupFull'),
			suDivisionFull : new App.TemplateElement.FieldComponent('suDivisionFull'),
			suCompanyFull : new App.TemplateElement.FieldComponent('suCompanyFull'),
			// Settings
			settingsPage : new App.TemplateElement.FieldComponent('settingsPage'),
			settingsUser : new App.TemplateElement.FieldComponent('settingsUser'),
			settingsClub : new App.TemplateElement.FieldComponent('settingsClub'),
			settingsMembership : new App.TemplateElement.FieldComponent('settingsMembership'),
			settingsRetail : new App.TemplateElement.FieldComponent('settingsRetail'),
			settingsReport : new App.TemplateElement.FieldComponent('settingsReport'),
			settingsHpiReport : new App.TemplateElement.FieldComponent('settingsHpiReport'),
			settingsGridExport : new App.TemplateElement.FieldComponent('settingsGridExport'),
			settingsDealership : new App.TemplateElement.FieldComponent('settingsDealership'),
			settingsPersonal : new App.TemplateElement.FieldComponent('settingsPersonal'),
			settingsResetPin : new App.TemplateElement.FieldComponent('settingsResetPin'),
			// Valuation
			valuationPage : new App.TemplateElement.FieldComponent('valuationPage'),
			valuationView : new App.TemplateElement.FieldComponent('valuationView'),
			valuationArchive : new App.TemplateElement.FieldComponent('valuationArchive'),
			valuationUnarchive : new App.TemplateElement.FieldComponent('valuationUnarchive'),
			valuationCreateNew : new App.TemplateElement.FieldComponent('valuationCreateNew'),
			valuationCreateSales : new App.TemplateElement.FieldComponent('valuationCreateSales'),
			valuationCreatePending : new App.TemplateElement.FieldComponent('valuationCreatePending'),
			valuationCreatePriceguide : new App.TemplateElement.FieldComponent('valuationCreatePriceguide'),
			valuationCreateComplete : new App.TemplateElement.FieldComponent('valuationCreateComplete'),
			valuationCreateStock : new App.TemplateElement.FieldComponent('valuationCreateStock'),
			valuationUpdate : new App.TemplateElement.FieldComponent('valuationUpdate'),
			valuationRoutePending : new App.TemplateElement.FieldComponent('valuationRoutePending'),
			valuationRouteComplete : new App.TemplateElement.FieldComponent('valuationRouteComplete'),
			valuationRouteStock : new App.TemplateElement.FieldComponent('valuationRouteStock'),
			valuationRoutePriceguide : new App.TemplateElement.FieldComponent('valuationRoutePriceguide'),
			valuationIsSales : new App.TemplateElement.FieldComponent('valuationIsSales'),
			valuationIsValuator : new App.TemplateElement.FieldComponent('valuationIsValuator'),
			valuationPrint : new App.TemplateElement.FieldComponent('valuationPrint'),
			valuationB4cReport : new App.TemplateElement.FieldComponent('valuationB4cReport'),
			valuationBmw : new App.TemplateElement.FieldComponent('valuationBmw'),
			valuationRouteDealDone : new App.TemplateElement.FieldComponent('valuationRouteDealDone'),
			valuationRouteDealNotDone : new App.TemplateElement.FieldComponent('valuationRouteDealNotDone'),
			valuationGridExport : new App.TemplateElement.FieldComponent('valuationGridExport'),
			valuationUpdateDamages : new App.TemplateElement.FieldComponent('valuationUpdateDamages'),
			valuationUpdateCoverReceived : new App.TemplateElement.FieldComponent('valuationUpdateCoverReceived'),
			valuationUploadPhotos : new App.TemplateElement.FieldComponent('valuationUploadPhotos'),
			valuationPricingDetails : new App.TemplateElement.FieldComponent('valuationPricingDetails'),
            valuationCalendar : new App.TemplateElement.FieldComponent('valuationCalendar'),
			// Price Guide
			pgPage : new App.TemplateElement.FieldComponent('pgPage'),
			pgB4cReport : new App.TemplateElement.FieldComponent('pgB4cReport'),
			pgView : new App.TemplateElement.FieldComponent('pgView'),
			pgMakeOffer : new App.TemplateElement.FieldComponent('pgMakeOffer'),
			pgUpdateOffer : new App.TemplateElement.FieldComponent('pgUpdateOffer'),
			pgPrint : new App.TemplateElement.FieldComponent('pgPrint'),
			pgGridExport : new App.TemplateElement.FieldComponent('pgGridExport'),
			pgArchive : new App.TemplateElement.FieldComponent('pgArchive'),
			pgUnArchive : new App.TemplateElement.FieldComponent('pgUnArchive'),
			// Stock
			stockPage : new App.TemplateElement.FieldComponent('stockPage'),
			stockCreate : new App.TemplateElement.FieldComponent('stockCreate'),
			stockView : new App.TemplateElement.FieldComponent('stockView'),
			stockRouteAuction : new App.TemplateElement.FieldComponent('stockRouteAuction'),
			stockRouteRetail : new App.TemplateElement.FieldComponent('stockRouteRetail'),
			stockReclaimRetail : new App.TemplateElement.FieldComponent('stockReclaimRetail'),
			stockRoutePriceguide : new App.TemplateElement.FieldComponent('stockRoutePriceguide'),
			stockRouteValuation : new App.TemplateElement.FieldComponent('stockRouteValuation'),
			stockPrint : new App.TemplateElement.FieldComponent('stockPrint'),
			stockArchive : new App.TemplateElement.FieldComponent('stockArchive'),
			stockUnarchive : new App.TemplateElement.FieldComponent('stockUnarchive'),
			stockUpdate : new App.TemplateElement.FieldComponent('stockUpdate'),
			stockGridExport : new App.TemplateElement.FieldComponent('stockGridExport'),
            stockAuctionReportGridExport : new App.TemplateElement.FieldComponent('stockAuctionReportGridExport'),
            stockBulkImportDrive : new App.TemplateElement.FieldComponent('stockBulkImportDrive'),
            stockBulkImportPinnacle : new App.TemplateElement.FieldComponent('stockBulkImportPinnacle'),
			stockUpdateDamages : new App.TemplateElement.FieldComponent('stockUpdateDamages'),
			stockUpdateCoverReceived : new App.TemplateElement.FieldComponent('stockUpdateCoverReceived'),
			stockUploadPhotos : new App.TemplateElement.FieldComponent('stockUploadPhotos'),
			// Auction
			auctionPage : new App.TemplateElement.FieldComponent('auctionPage'),
			auctionBid : new App.TemplateElement.FieldComponent('auctionBid'),
			auctionGridExport : new App.TemplateElement.FieldComponent('auctionGridExport'),
			// Trade Center
			tcPage : new App.TemplateElement.FieldComponent('tcPage'),
			tcGridExport : new App.TemplateElement.FieldComponent('tcGridExport'),

			// App
			appCreateValuation : new App.TemplateElement.FieldComponent('appCreateValuation'),
			appCompleteValuation : new App.TemplateElement.FieldComponent('appCompleteValuation'),

			// Admin
			accessAdminModule : new App.TemplateElement.FieldComponent('accessAdminModule'),
			adminPage : new App.TemplateElement.FieldComponent('adminPage'),
			adminRegistration : new App.TemplateElement.FieldComponent('adminRegistration'),
			adminReport : new App.TemplateElement.FieldComponent('adminReport'),
			adminCommunication : new App.TemplateElement.FieldComponent('adminCommunication'),
			adminSettings : new App.TemplateElement.FieldComponent('adminSettings'),
			adminUser : new App.TemplateElement.FieldComponent('adminUser'),
			adminDealer : new App.TemplateElement.FieldComponent('adminDealer'),
			adminAuction : new App.TemplateElement.FieldComponent('adminAuction'),
            etpGemDmd : new App.TemplateElement.FieldComponent('etpGemDmd')
		};
	this.construct = function() {};
	this.destruct  = function() {};
};