var template_bidview = function( static )
{
	this.static = static;
	this.elements = {
			
			vehicle : new App.TemplateElement.Text('vehicle'),
			seller : new App.TemplateElement.Text('seller'),
			vehicleYear : new App.TemplateElement.LabeledText('vehicleYear'),
			category : new App.TemplateElement.LabeledText('category'),
			make : new App.TemplateElement.LabeledText('make'),
			model : new App.TemplateElement.LabeledText('model'),
			type : new App.TemplateElement.LabeledText('type'),
			fuelType : new App.TemplateElement.LabeledText('fuelType'),
			accessoryNew : new App.TemplateElement.LabeledText('accessoryNew'),
			accessoryNewMobi : new App.TemplateElement.LabeledText('accessoryNewMobi'),
			transmissionType : new App.TemplateElement.LabeledText('transmissionType'),
			condition : new App.TemplateElement.LabeledText('condition'),
			exteriorColour : new App.TemplateElement.LabeledText('exteriorColour'),
			interiorColour : new App.TemplateElement.LabeledText('interiorColour'),
			upholstery : new App.TemplateElement.LabeledText('upholstery'),
			papers : new App.TemplateElement.LabeledText('papers'),
			natis : new App.TemplateElement.LabeledText('natis'),
			spareKeys : new App.TemplateElement.LabeledText('spareKeys'),
			fullServiceHistory : new App.TemplateElement.LabeledText('fullServiceHistory'),
			registrationNumber : new App.TemplateElement.LabeledText('registrationNumber'),
			vinNumber : new App.TemplateElement.LabeledText('vinNumber'),
			engineNumber : new App.TemplateElement.LabeledText('engineNumber'),
			km : new App.TemplateElement.LabeledText('km'),
			fshNotes : new App.TemplateElement.LabeledText('fshNotes'),
			fshNotes_title : new App.TemplateElement.LabeledText('fshNotes_title'),
			fshNotes_data : new App.TemplateElement.LabeledText('fshNotes_data'),
			bodyWork : new App.TemplateElement.LabeledText('bodyWork'),
			damages : new App.TemplateElement.Text('damages'),
			damageTotal : new App.TemplateElement.LabeledText('damageTotal'),
			damageNotes : new App.TemplateElement.LabeledText('damageNotes'),
			damageNotes_title : new App.TemplateElement.LabeledText('damageNotes_title'),
			damageNotes_data : new App.TemplateElement.LabeledText('damageNotes_data'),
			previousRepairsNoted : new App.TemplateElement.LabeledText('previousRepairsNoted'),
			previousRepairsNotes : new App.TemplateElement.LabeledText('previousRepairsNotes'),
			previousRepairsNotes_title : new App.TemplateElement.LabeledText('previousRepairsNotes_title'),
			previousRepairsNotes_data : new App.TemplateElement.LabeledText('previousRepairsNotes_data'),

			accessories : new App.TemplateElement.Text('accessories'),
			accessoryNotes : new App.TemplateElement.LabeledText('accessoryNotes'),
			accessoryNotes_title : new App.TemplateElement.LabeledText('accessoryNotes_title'),
			accessoryNotes_data : new App.TemplateElement.LabeledText('accessoryNotes_data'),
			
			accessoriesMobi : new App.TemplateElement.Text('accessoriesMobi'),
			accessoryNotesMobi : new App.TemplateElement.LabeledText('accessoryNotesMobi'),
			accessoryNotes_titleMobi : new App.TemplateElement.LabeledText('accessoryNotes_titleMobi'),
			accessoryNotes_dataMobi : new App.TemplateElement.LabeledText('accessoryNotes_dataMobi'),
			
			
			bidImgMain : new App.TemplateElement.FieldComponent('bidImgMain'),
			mainImage : new App.TemplateElement.FieldComponent('mainImage'),
			frontImage : new App.TemplateElement.FieldComponent('frontImage'),
			leftImage : new App.TemplateElement.FieldComponent('leftImage'),
			rightImage : new App.TemplateElement.FieldComponent('rightImage'),
			backImage : new App.TemplateElement.FieldComponent('backImage'),
			interiorImage : new App.TemplateElement.FieldComponent('interiorImage'),
			engineImage : new App.TemplateElement.FieldComponent('engineImage'),
			natisImage : new App.TemplateElement.FieldComponent('natisImage'),
			clubs : new App.TemplateElement.LabeledText('clubs'),

			infCreated : new App.TemplateElement.Text('infCreated'),
			infLoadedOnPriceGuide : new App.TemplateElement.Text('infLoadedOnPriceGuide'),
			infTradePrice : new App.TemplateElement.LabeledText('infTradePrice'),
			infRetailPrice : new App.TemplateElement.LabeledText('infRetailPrice'),
            infListPrice : new App.TemplateElement.LabeledText('infListPrice'),

			winningBid : new App.TemplateElement.LabeledText('winningBid'),
			nextBid : new App.TemplateElement.LabeledText('nextBid'),
			nextBid_title : new App.TemplateElement.LabeledText('nextBid_title'),
			nextBid_data : new App.TemplateElement.LabeledText('nextBid_data'),
			myAutoBid : new App.TemplateElement.Text('myAutoBid'),

			complaint : new App.TemplateElement.FieldComponent('complaint'),

			companyName : new App.TemplateElement.LabeledText('companyName'),
			companyContact : new App.TemplateElement.LabeledText('companyContact'),
			companyMobile : new App.TemplateElement.LabeledText('companyMobile'),
			companyEmail : new App.TemplateElement.LabeledText('companyEmail'),

			amount : new App.TemplateElement.FieldComponent('amount'),
			autoamount : new App.TemplateElement.FieldComponent('autoamount'),
			question : new App.TemplateElement.FieldComponent('question'),
			infAmount : new App.TemplateElement.Text('infAmount'),

			auctionId : new App.TemplateElement.Text('auctionId'),
			b4cRefNo : new App.TemplateElement.Text('b4cRefNo'),
			mmCode : new App.TemplateElement.Text('mmCode'),
			
			print : new App.TemplateElement.ConstructorComponentCollection('print')
		};
	this.construct = function()
	{
		//mobi menu
		var isMobile = 'none' == $('#mobiCheck').css('display');
		if (isMobile)
		{
			// show the mobi menu && hide old menu 
			$("#MobiAuctionPriceGuideMenu").show();
			$("#MobiPortalMenu").hide();
			 
			// Check active state
			$("#mobiAuctionBtn").addClass("active");
			$("#mobiPriceGuideBtn").removeClass("active");
			$("#mobiValuationsBtn").removeClass("active");
		}
		
		$("#mobiPriceGuideBtn").click(function() {
			 
			window.location.hash = '#/priceguide';
		});
		
		$("#mobiAuctionBtn").click(function() {
			
			window.location.hash = '#/auction';
		});
		
		$("#mobiValuationsBtn").click(function() {
			
			window.location.hash = '#/valuations';
		});
		
		//Adding the mobi toggle menus
		$("#vehicleDetailsClick").click(function(){
			 if($(this).hasClass("open")){
	          $(this).removeClass("open");
	          $(this).addClass("closed");
	          $("#vehicleDetails").hide("slow");
	          $("#vehicleDetails2").hide("slow");
	          
	        } else {
	          $(this).removeClass("closed");
	          $(this).addClass("open");
	          $("#vehicleDetails").show("slow");
	          $("#vehicleDetails2").show("slow");
	        }
			 $("i",this).toggleClass("icon-white-arrow-up icon-white-arrow-down");
		});
		
		$("#vehicleSpecificationsClick").click(function(){
			 if($(this).hasClass("open")){
	          $(this).removeClass("open");
	          $(this).addClass("closed");
	          $("#vehicleSpecifications").hide("slow");
	        } else {
	          $(this).removeClass("closed");
	          $(this).addClass("open");
	          $("#vehicleSpecifications").show("slow");
	        }
			 $("i",this).toggleClass("icon-white-arrow-up icon-white-arrow-down");
		});
		
		$("#vehicleDamagesClick").click(function(){
			 if($(this).hasClass("open")){
	          $(this).removeClass("open");
	          $(this).addClass("closed");
	          $("#vehicleDamages").hide("slow");
	        } else {
	          $(this).removeClass("closed");
	          $(this).addClass("open");
	          $("#vehicleDamages").show("slow");
	        }
			 $("i",this).toggleClass("icon-white-arrow-up icon-white-arrow-down");
		});
		
		
		var isMobile = 'none' == $('#mobiCheck').css('display');
		if (!isMobile)
		{
			$("#accessoriesMobiOpen").remove();
		}
		$("#vehicleAccessoriesClick").click(function(){
			if($(this).hasClass("open"))
			{
	          $(this).removeClass("open");
	          $(this).addClass("closed");
	          $("#accessoriesMobiOpen").hide("slow");
	        }
			else
			{
	          $(this).removeClass("closed");
	          $(this).addClass("open");
	          $("#accessoriesMobiOpen").show("slow");
	        }
			 $("i",this).toggleClass("icon-white-arrow-up icon-white-arrow-down");
		});
		
		
		$("#vehicleBidBoxClick").click(function(){
			 if($(this).hasClass("open")){
	          $(this).removeClass("open");
	          $(this).addClass("closed");
	          $("#vehicleBidBox").hide("slow");
	        } else {
	          $(this).removeClass("closed");
	          $(this).addClass("open");
	          $("#vehicleBidBox").show("slow");
	        }
			 $("i",this).toggleClass("icon-white-arrow-up icon-white-arrow-down");
		});
		
		
		
	};
	this.destruct = function()
	{
		//
	};
};