var template_offerview = function( static )
{
	this.static = static;
	this.elements = {
			vehicle : new App.TemplateElement.Text('vehicle'),
			vehicleRef : new App.TemplateElement.LabeledText('vehicleRef'),
			vehicleYear : new App.TemplateElement.LabeledText('vehicleYear'),
			category : new App.TemplateElement.LabeledText('category'),
			make : new App.TemplateElement.LabeledText('make'),
			model : new App.TemplateElement.LabeledText('model'),
			type : new App.TemplateElement.LabeledText('type'),
			mmCode : new App.TemplateElement.LabeledText('mmCode'),
			fuelType : new App.TemplateElement.LabeledText('fuelType'),
			transmissionType : new App.TemplateElement.LabeledText('transmissionType'),
			condition : new App.TemplateElement.LabeledText('condition'),
			exteriorColour : new App.TemplateElement.LabeledText('exteriorColour'),
			interiorColour : new App.TemplateElement.LabeledText('interiorColour'),
			upholstery : new App.TemplateElement.LabeledText('upholstery'),
			papers : new App.TemplateElement.LabeledText('papers'),
			natis : new App.TemplateElement.LabeledText('natis'),
			spareKeys : new App.TemplateElement.LabeledText('spareKeys'),
			fullServiceHistory : new App.TemplateElement.LabeledText('fullServiceHistory'),
			registrationNumber : new App.TemplateElement.LabeledText('registrationNumber'),
			vinNumber : new App.TemplateElement.LabeledText('vinNumber'),
			engineNumber : new App.TemplateElement.LabeledText('engineNumber'),
			km : new App.TemplateElement.LabeledText('km'),
			fshNotes : new App.TemplateElement.LabeledText('fshNotes'),
			bodyWork : new App.TemplateElement.LabeledText('bodyWork'),
			damages : new App.TemplateElement.Text('damages'),
			damageTotal : new App.TemplateElement.LabeledText('damageTotal'),
			damageNotes : new App.TemplateElement.LabeledText('damageNotes'),
			previousRepairsNoted : new App.TemplateElement.LabeledText('previousRepairsNoted'),
			previousRepairsNotes : new App.TemplateElement.LabeledText('previousRepairsNotes'),
			accessories : new App.TemplateElement.Text('accessories'),
			accessoryNotes : new App.TemplateElement.LabeledText('accessoryNotes'),
			mainImage : new App.TemplateElement.FieldComponent('mainImage'),
			frontImage : new App.TemplateElement.FieldComponent('frontImage'),
			leftImage : new App.TemplateElement.FieldComponent('leftImage'),
			rightImage : new App.TemplateElement.FieldComponent('rightImage'),
			backImage : new App.TemplateElement.FieldComponent('backImage'),
			interiorImage : new App.TemplateElement.FieldComponent('interiorImage'),
			engineImage : new App.TemplateElement.FieldComponent('engineImage'),
			natisImage : new App.TemplateElement.FieldComponent('natisImage'),
			clubs : new App.TemplateElement.LabeledText('clubs'),

			coverReceived : new App.TemplateElement.Text('coverReceived'),

			infCreated : new App.TemplateElement.Text('infCreated'),
			infLoadedOnPriceGuide : new App.TemplateElement.Text('infLoadedOnPriceGuide'),
			infTradePrice : new App.TemplateElement.LabeledText('infTradePrice'),
			infRetailPrice : new App.TemplateElement.LabeledText('infRetailPrice'),
            infListPrice : new App.TemplateElement.LabeledText('infListPrice'),
			infCustomerPrice : new App.TemplateElement.LabeledText('infCustomerPrice'),
			infSighted : new App.TemplateElement.LabeledText('infSighted'),
            infLicenseDiscExpired : new App.TemplateElement.LabeledText('infLicenseDiscExpired'),

			companyName 	: new App.TemplateElement.LabeledText('companyName'),
			companyContact 	: new App.TemplateElement.LabeledText('companyContact'),
			companyMobile 	: new App.TemplateElement.LabeledText('companyMobile'),
			companyEmail 	: new App.TemplateElement.LabeledText('companyEmail'),
			region			: new App.TemplateElement.LabeledText('region'),

			amountOffered : new App.TemplateElement.FieldComponent('amountOffered'),
			infAmountOffered : new App.TemplateElement.Text('infAmountOffered'),

			print : new App.TemplateElement.ConstructorComponentCollection('print'),
			// PricingHistory grid
			gridPricingHistoryColumnHeaders : new App.TemplateElement.ConstructorComponentCollection('gridPricingHistoryColumnHeaders'),
			gridPricingHistoryRowRepeater   : new App.TemplateElement.ConstructorComponentCollection('gridPricingHistoryRowRepeater')
		};
	this.construct = function()
	{
		//mobi menu
		var isMobile = 'none' == $('#mobiCheck').css('display');
		if (isMobile)
		{
			// show the mobi menu && hide old menu 
			$("#MobiAuctionPriceGuideMenu").show();
			$("#MobiPortalMenu").hide();
			 
			// Check active state
			$("#mobiAuctionBtn").removeClass("active");
			$("#mobiPriceGuideBtn").addClass("active");
			$("#mobiValuationsBtn").removeClass("active");
		}
		
		$("#mobiPriceGuideBtn").click(function() {
			 
			window.location.hash = '#/priceguide';
		});
		
		$("#mobiAuctionBtn").click(function() {
			
			window.location.hash = '#/auction';
		});
		
		$("#mobiValuationsBtn").click(function() {
			
			window.location.hash = '#/valuations';
		});
		
		$("#dealershipDetailsClick").click(function(){
			 if($(this).hasClass("open")){
	          $(this).removeClass("open");
	          $(this).addClass("closed");
	          $("#dealershipDetails").hide("slow");
	        } else {
	          $(this).removeClass("closed");
	          $(this).addClass("open");
	          $("#dealershipDetails").show("slow");
	        }
			 $("i.toggle",this).toggleClass("icon-white-arrow-up icon-white-arrow-down");
		});
		
		$("#valuationDetailsClick").click(function(){
			 if($(this).hasClass("open")){
	          $(this).removeClass("open");
	          $(this).addClass("closed");
	          $("#valuationDetails").hide("slow");
	        } else {
	          $(this).removeClass("closed");
	          $(this).addClass("open");
	          $("#valuationDetails").show("slow");
	        }
			 $("i.toggle",this).toggleClass("icon-white-arrow-up icon-white-arrow-down");
		});
		
		$("#pricingDetailsClick").click(function(){
			 if($(this).hasClass("open")){
	          $(this).removeClass("open");
	          $(this).addClass("closed");
	          $("#pricingDetails").hide("slow");
	        } else {
	          $(this).removeClass("closed");
	          $(this).addClass("open");
	          $("#pricingDetails").show("slow");
	        }
			 $("i.toggle",this).toggleClass("icon-white-arrow-up icon-white-arrow-down");
		});
		
		$("#vSpecsClick").click(function(){
			 if($(this).hasClass("open")){
	          $(this).removeClass("open");
	          $(this).addClass("closed");
	          $("#vSpecs").hide("slow");
	        } else {
	          $(this).removeClass("closed");
	          $(this).addClass("open");
	          $("#vSpecs").show("slow");
	        }
			 $("i.toggle",this).toggleClass("icon-white-arrow-up icon-white-arrow-down");
		});
		
		$("#damagesClick").click(function(){
			 if($(this).hasClass("open")){
	          $(this).removeClass("open");
	          $(this).addClass("closed");
	          $("#damages").hide("slow");
	        } else {
	          $(this).removeClass("closed");
	          $(this).addClass("open");
	          $("#damages").show("slow");
	        }
			 $("i.toggle",this).toggleClass("icon-white-arrow-up icon-white-arrow-down");
		});
		
		$("#accessoriesClick").click(function(){
			 if($(this).hasClass("open")){
	          $(this).removeClass("open");
	          $(this).addClass("closed");
	          $("#accessoriesOpen").hide("slow");
	        } else {
	          $(this).removeClass("closed");
	          $(this).addClass("open");
	          $("#accessoriesOpen").show("slow");
	        }
			 $("i.toggle",this).toggleClass("icon-white-arrow-up icon-white-arrow-down");
		});
		
		$("#photoClick").click(function(){
			 if($(this).hasClass("open")){
	          $(this).removeClass("open");
	          $(this).addClass("closed");
	          $("#photo").hide("slow");
	        } else {
	          $(this).removeClass("closed");
	          $(this).addClass("open");
	          $("#photo").show("slow");
	        }
			 $("i.toggle",this).toggleClass("icon-white-arrow-up icon-white-arrow-down");
		});
		
		
		
	};
	this.destruct = function()
	{
		$('#frmValuationView').data('validator', null);
	};
};