var template_settings = function( static )
{
	this.static = static;
	this.elements = {
			// Company details
			companyName   : new App.TemplateElement.LabeledText('companyName'),
			street        : new App.TemplateElement.LabeledText('street'),
			cityName      : new App.TemplateElement.LabeledText('cityName'),
			regionName    : new App.TemplateElement.LabeledText('regionName'),
			postalCode    : new App.TemplateElement.LabeledText('postalCode'),
			contactOffice : new App.TemplateElement.LabeledText('contactOffice'),
			contactMobile : new App.TemplateElement.LabeledText('contactMobile'),
			contactName   : new App.TemplateElement.LabeledText('contactName'),

			// User details
			firstName       : new App.TemplateElement.LabeledText('firstName'),
			familyName      : new App.TemplateElement.LabeledText('familyName'),
			email           : new App.TemplateElement.LabeledText('email'),
			mobile          : new App.TemplateElement.LabeledText('mobile'),
			permissionsName : new App.TemplateElement.LabeledText('permissionsName'),
			assignedTo      : new App.TemplateElement.LabeledText('assignedTo'),

			// Retails grid
			gridRetailTitle         : new App.TemplateElement.Text('gridRetailTitle'),
			gridRetailColumnHeaders : new App.TemplateElement.ConstructorComponentCollection('gridRetailColumnHeaders'),
			gridRetailColumnFilters : new App.TemplateElement.ConstructorComponentCollection('gridRetailColumnFilters'),
			gridRetailRowRepeater   : new App.TemplateElement.ConstructorComponentCollection('gridRetailRowRepeater'),
			gridRetailPager         : new App.TemplateElement.ConstructorComponentCollection('gridRetailPager'),

			// Questions grid
			gridQuestionTitle         : new App.TemplateElement.Text('gridQuestionTitle'),
			gridQuestionColumnHeaders : new App.TemplateElement.ConstructorComponentCollection('gridQuestionColumnHeaders'),
			gridQuestionColumnFilters : new App.TemplateElement.ConstructorComponentCollection('gridQuestionColumnFilters'),
			gridQuestionRowRepeater   : new App.TemplateElement.ConstructorComponentCollection('gridQuestionRowRepeater'),
			gridQuestionPager         : new App.TemplateElement.ConstructorComponentCollection('gridQuestionPager'),

			// Reply grid
			gridReplyTitle         : new App.TemplateElement.Text('gridReplyTitle'),
			gridReplyColumnHeaders : new App.TemplateElement.ConstructorComponentCollection('gridReplyColumnHeaders'),
			gridReplyColumnFilters : new App.TemplateElement.ConstructorComponentCollection('gridReplyColumnFilters'),
			gridReplyRowRepeater   : new App.TemplateElement.ConstructorComponentCollection('gridReplyRowRepeater'),
			gridReplyPager         : new App.TemplateElement.ConstructorComponentCollection('gridReplyPager'),

			// Users grid
			gridUserTitle         : new App.TemplateElement.Text('gridUserTitle'),
			gridUserColumnHeaders : new App.TemplateElement.ConstructorComponentCollection('gridUserColumnHeaders'),
			gridUserColumnFilters : new App.TemplateElement.ConstructorComponentCollection('gridUserColumnFilters'),
			gridUserRowRepeater   : new App.TemplateElement.ConstructorComponentCollection('gridUserRowRepeater'),
			gridUserPager         : new App.TemplateElement.ConstructorComponentCollection('gridUserPager'),

			// Membership grid
			gridMemberTitle         : new App.TemplateElement.Text('gridMemberTitle'),
			gridMemberColumnHeaders : new App.TemplateElement.ConstructorComponentCollection('gridMemberColumnHeaders'),
			gridMemberColumnFilters : new App.TemplateElement.ConstructorComponentCollection('gridMemberColumnFilters'),
			gridMemberRowRepeater   : new App.TemplateElement.ConstructorComponentCollection('gridMemberRowRepeater'),
			gridMemberPager         : new App.TemplateElement.ConstructorComponentCollection('gridMemberPager'),

			// Club grid
			gridClubTitle         : new App.TemplateElement.Text('gridClubTitle'),
			gridClubColumnHeaders : new App.TemplateElement.ConstructorComponentCollection('gridClubColumnHeaders'),
			gridClubColumnFilters : new App.TemplateElement.ConstructorComponentCollection('gridClubColumnFilters'),
			gridClubRowRepeater   : new App.TemplateElement.ConstructorComponentCollection('gridClubRowRepeater'),
			gridClubPager         : new App.TemplateElement.ConstructorComponentCollection('gridClubPager'),

			// Dispute grid
			gridDisputeTitle         : new App.TemplateElement.Text('gridDisputeTitle'),
			gridDisputeColumnHeaders : new App.TemplateElement.ConstructorComponentCollection('gridDisputeColumnHeaders'),
			gridDisputeColumnFilters : new App.TemplateElement.ConstructorComponentCollection('gridDisputeColumnFilters'),
			gridDisputeRowRepeater   : new App.TemplateElement.ConstructorComponentCollection('gridDisputeRowRepeater'),
			gridDisputePager         : new App.TemplateElement.ConstructorComponentCollection('gridDisputePager'),
      
      // Dispute grid
			gridDisputeDefTitle         : new App.TemplateElement.Text('gridDisputeDefTitle'),
			gridDisputeDefColumnHeaders : new App.TemplateElement.ConstructorComponentCollection('gridDisputeDefColumnHeaders'),
			gridDisputeDefColumnFilters : new App.TemplateElement.ConstructorComponentCollection('gridDisputeDefColumnFilters'),
			gridDisputeDefRowRepeater   : new App.TemplateElement.ConstructorComponentCollection('gridDisputeDefRowRepeater'),
			gridDisputeDefPager         : new App.TemplateElement.ConstructorComponentCollection('gridDisputeDefPager')
		};
	this.construct = function()
	{
		//
	};
	this.destruct = function()
	{
		$('#frmValuationView').data('validator', null);
	};
};